Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.section.model
Interface VSectionPackage.Literals

Enclosing interface:
  VSectionPackage

    public static interface VSectionPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `SECTION` The meta object literal for the '`Section`' class.
`static org.eclipse.emf.ecore.EReference` | `SECTION__CHILD_ITEMS` The meta object literal for the 'Child Items' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `SECTION__COLLAPSED` The meta object literal for the 'Collapsed' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `SECTIONED_AREA` The meta object literal for the '`Sectioned Area`' class.
`static org.eclipse.emf.ecore.EReference` | `SECTIONED_AREA__ROOT` The meta object literal for the 'Root' containment reference feature.

Field Detail

### SECTIONED_AREA

    static final org.eclipse.emf.ecore.EClass SECTIONED_AREA

  The meta object literal for the '`Sectioned Area`' class.

  See Also:
    `VSectionedAreaImpl`, `VSectionPackageImpl.getSectionedArea()`

### SECTIONED_AREA__ROOT

    static final org.eclipse.emf.ecore.EReference SECTIONED_AREA__ROOT

  The meta object literal for the 'Root' containment reference feature.

### SECTION

    static final org.eclipse.emf.ecore.EClass SECTION

  The meta object literal for the '`Section`' class.

  See Also:
    `VSectionImpl`, `VSectionPackageImpl.getSection()`

### SECTION__CHILD_ITEMS

    static final org.eclipse.emf.ecore.EReference SECTION__CHILD_ITEMS

  The meta object literal for the 'Child Items' containment reference list feature.

### SECTION__COLLAPSED

    static final org.eclipse.emf.ecore.EAttribute SECTION__COLLAPSED

  The meta object literal for the 'Collapsed' attribute feature.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.